[FILTERS]
ISWR::FILTER1           = MIN_MAX
ISWR::ARG1::MIN         = -10
ISWR::ARG1::MAX         = 1500
ISWR::FILTER2           = MIN_MAX
ISWR::ARG2::SOFT        = TRUE
ISWR::ARG2::MIN         = 0.0
ISWR::ARG2::MAX         = 1500
ISWR::FILTER3           = POTENTIALSW ;big values at night
ISWR::ARG3::MIN_COEFF   = 0.0
ISWR::ARG3::MAX_COEFF   = 1.5
ISWR::ARG3::MEAN_PERIOD = ${{3*60*60}} ;match this with sampling rate

TA::FILTER1             = MIN_MAX
TA::ARG1::MIN           = 240 ;-33 C
TA::ARG1::MAX           = 320 ;46 C

RH::FILTER1             = MIN_MAX
RH::ARG1::MIN           = 0.01
RH::ARG1::MAX           = 1.2
RH::FILTER2             = MIN_MAX
RH::ARG2::SOFT          = TRUE
RH::ARG2::MIN           = 0.05
RH::ARG2::MAX           = 1.0

[GENERAL]
BUFFER_SIZE = 360
BUFF_BEFORE = 1

[INPUT]
METEO      = SMET
METEOPATH  = ./data
TIME_ZONE  = 0
COORDSYS   = PROJ 
COORDPARAM = $EPSG
DEM        = ARC
DEMFILE    = $DEMFILE 

[INPUTEDITING]
*::EDIT1           = CREATE
*::ARG1::PARAM     = ISWR
*::ARG1::ALGORITHM = ALLSKY_SW

[OUTPUT]
METEO      = SMET
METEOPATH  = ./output/$DOMAIN
TIME_ZONE  = 1
COORDSYS   = PROJ
COORDPARAM = $EPSG
GRID2D     = ARC
GRID2DPATH = ./output/$DOMAIN

[INTERPOLATIONS1D]
ENABLE_RESAMPLING  = TRUE
WINDOW_SIZE        = 28800 ;8 h ;global setting

ISWR::RESAMPLE     = SOLAR

[INTERPOLATIONS2D]
TA::ALGORITHMS                = IDW_LAPSE
RH::ALGORITHMS                = NEAREST
P::ALGORITHMS                 = STD_PRESS
ISWR::ALGORITHMS              = SWRAD
ISWR::SWRAD::PROJECT_ON_SLOPE = TRUE
ISWR::SWRAD::SHADING          = TRUE
